Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::front_insert_iterator< Container > Struct Template Reference
Iterator

## Public Types
using | container_type = Container
using | difference_type = std::ptrdiff_t

## Public Member Functions
constexpr | front_insert_iterator (Container &x)
front_insert_iterator & | operator* ()
front_insert_iterator & | operator++ ()
front_insert_iterator | operator++ (int)
front_insert_iterator & | operator= (typename Container::value_type &&value)
front_insert_iterator & | operator= (typename Container::value_type const &value)